//if deyiminin kullanimi
import javax.swing.*;       // java swing sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;   //  java pencereyi dinleme sinifini cagir

public class karsilastirmaSWApplet extends JApplet implements ActionListener
{
    JLabel soru1;       //kullaniciya birinci degeri girme sorusu sorar
    JTextField girdi1;  //birinci degeri girme kutusu
    JLabel soru2;       //kullaniciya ikinci degeri girme sorusunu sorar
    JTextField girdi2;  //ikinci degeri girme kutusu
    int sayi1,sayi2;    //girilen iki sayi
    JTextArea cikti;
    String sonuc;

    //graphic kullanici baglantisindaki ilk degerleri tanimla
    public void init()
    {
       Container c=getContentPane();
       c.setLayout(new FlowLayout());
       soru1=new JLabel("Bir sayi giriniz       ");
       girdi1=new JTextField(10);
       soru2=new JLabel("Ikinci bir sayi giriniz");
       girdi2=new JTextField(10);
       c.add(soru1); //soru1 yazisini applete cizer
       c.add(girdi1);//girdi1 kutusunu applete cizer
       c.add(soru2); //soru2 yazisini applete cizer
       girdi2.addActionListener(this);
        // soru2 den sonra girdi (return) tusunu bekler
        // girdi(return) tusundan sonra actionPerformed
        // metoduna gider
       c.add(girdi2); //girdi2 kutusunu applete cizer
       cikti=new JTextArea(6,30);
       cikti.setFont(new Font("Courier",Font.BOLD,12));
       c.add(cikti);
       sonuc="";
    }

    // eger girdi(return) tusuna basildiysa bu
    // metodu cagir
    public void actionPerformed( ActionEvent e)
    {
       // sayi 1 i girdi kutusundan oku
       sayi1=Integer.parseInt(girdi1.getText());
       // sayi 2 i girdi kutusundan oku
       sayi2=Integer.parseInt(girdi2.getText());
       sonuc=sonuc+"Karsilastirma sonuclari : \n";
       if(sayi1 == sayi2)
         sonuc=sonuc+sayi1+" == "+sayi2+"\n";
       if(sayi1 != sayi2)
         sonuc=sonuc+sayi1+" != "+sayi2+"\n";
       if(sayi1 < sayi2)
          sonuc=sonuc+sayi1+" <  "+sayi2+"\n";
       if(sayi1 > sayi2)
          sonuc=sonuc+sayi1+" >  "+sayi2+"\n";
       if(sayi1 <= sayi2)
          sonuc=sonuc+sayi1+" <= "+sayi2+"\n";
       if(sayi1 >= sayi2)
           sonuc=sonuc+sayi1+" >= "+sayi2+"\n";
       cikti.setText(sonuc);  
    }

    public static void main( String[] argv ) { 
    JFrame frame = new JFrame( "Karsilastirma Applet " ); 
    frame.addWindowListener( new WindowAdapter() 
    { 
    public void windowClosing( WindowEvent e ) { System.exit( 0 );} 
    }); 
    JApplet applet = new karsilastirmaSWApplet(); 
    frame.getContentPane().add( BorderLayout.CENTER, applet ); 
    applet.init(); 
    frame.setSize( 400, 300 ); 
    frame.show(); 
    } 

}
